%define fefpcl_pkg      FJSVfefpcl-kmod-common

%undefine _debugsource_packages

Name:		%{fefpcl_pkg}
Version:	8.0.0
Release:	6.el9
Summary:	HBA Blockage Function

License:	Proprietary
Group:		System Environment/Base

Packager:	Fsas Technologies Inc.
Vendor:		Fsas Technologies Inc.
URL:		https://www.fsastech.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-%{release}-rpmbuildroot
BuildRequires:	rpm >= 4.16.1, kernel >= 5.14.0, kernel-devel >= 5.14.0, coreutils, bash, bzip2, tar, make, sed, gcc, binutils
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL9 command part.

%prep
%setup -n %{fefpcl_pkg}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl/etc
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/log
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/run
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/lock
mkdir -p $RPM_BUILD_ROOT/var/crash/scripts
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system
mkdir -p $RPM_BUILD_ROOT/usr/lib/dracut/modules.d/99FJSVfefpcl
mkdir -p $RPM_BUILD_ROOT/usr/bin
install usr/bin/FJSVfefpcl_ctl                $RPM_BUILD_ROOT/usr/bin
install usr/lib/systemd/system/FJSVfefpcl.service                    $RPM_BUILD_ROOT/usr/lib/systemd/system
install usr/lib/dracut/modules.d/99FJSVfefpcl/module-setup.sh        $RPM_BUILD_ROOT/usr/lib/dracut/modules.d/99FJSVfefpcl
install usr/lib/dracut/modules.d/99FJSVfefpcl/parse-FJSVfefpcl.sh    $RPM_BUILD_ROOT/usr/lib/dracut/modules.d/99FJSVfefpcl
install etc/opt/FJSVfefpcl/alterpm.conf       $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl
install usr/sbin/fefpcl                       $RPM_BUILD_ROOT/usr/sbin/fefpcl
touch                                         $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/lock/.fefpcl.lock

%clean
rm -rf $RPM_BUILD_ROOT


# rpm -i:                     %pre, %post    : $1=1
# rpm -U: 1. new pkg: rpm -i: %pre, %post    : $1=2
#       : 2. old pkg: rpm -e: %preun, %postun: $1=1
# rpm -e:                     %preun, %postun: $1=0  
%post
/usr/bin/systemctl enable FJSVfefpcl.service
touch /etc/opt/FJSVfefpcl/hba_addr.conf
chmod 0600 /etc/opt/FJSVfefpcl/hba_addr.conf

%preun
/usr/bin/systemctl -q disable FJSVfefpcl.service

%postun
if [ -e "/etc/kdump.conf" ]; then
   touch /etc/kdump.conf
fi

%files
%defattr(-,root,root)
/etc/opt/FJSVfefpcl/
/var/opt/FJSVfefpcl/
%attr(755,-,-) /usr/bin/FJSVfefpcl_ctl
%attr(644,-,-) /usr/lib/systemd/system/FJSVfefpcl.service
%attr(755,-,-) /usr/lib/dracut/modules.d/99FJSVfefpcl/module-setup.sh
%attr(755,-,-) /usr/lib/dracut/modules.d/99FJSVfefpcl/parse-FJSVfefpcl.sh
%attr(600,-,-) /etc/opt/FJSVfefpcl/alterpm.conf
%attr(755,-,-) /usr/sbin/fefpcl
%attr(600,-,-) /var/opt/FJSVfefpcl/lock/.fefpcl.lock
/usr/lib/debug/usr/sbin/fefpcl-%{version}-%{release}.x86_64.debug

%changelog
* Wed Nov 13 2024 Fsas Technologies Inc.
- Build for Red Hat Enterprise Linux 9.5 (BS01748)
* Mon May 20 2024 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9.4 (BS01741)
* Thu Nov 16 2023 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9.3 (BS01736)
* Tue Jun 20 2023 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9.2 (BS01732)
* Fri Dec 9 2022 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9.1 (BS01718)
* Fri Mar 25 2022 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9. (BS01708)

